{% extends "page.html" %}

{% block css %}
  <link href="{{ app.asset_path }}/css/advent_style.css" type="text/css" rel="stylesheet">
{% endblock %}

{% block content %}

  {% for rok in 2024..2013 %}
    <h1 class="center">Adventní drabble {{ rok }}</h1>
    <table class="callendar">
      <tbody>
        <tr>
        {% for nazev in 1..24 %}
          {% if (nazev != 1) and (nazev - 1) is divisible by(7) %}
            </tr><tr>
          {% endif %}
          <td height="100" width="100">
            {% if rok < 2024 or "now"|date("d") >= nazev or "now"|date("m") != 12 %}
            <a href="{{ url('drabble-adventni-kus', {rok: rok, nazev: nazev}) }}">
              {{ nazev }}
            </a>
            {% else %}
              <span>{{ nazev }}</span>
            {% endif %}
          </td>
        {% endfor %}
        </tr>
      </tbody>
    </table>
  {% endfor %}
{% endblock %}
